/* You can add global styles to this file, and also import other style files */

html, body {height:100% ;  }


@import "~@fortawesome/fontawesome-free/css/all.min.css";

@font-face {
    font-family: Roboto;
    src: url(assets/fonts/Roboto-Black.ttf) format("opentype");
  }

body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif}

#footer{
    background-color: #000;
}

#cheader{
    background-color: #fff;
}

.dash-container,
.experiment-switch-container,
.card-actions,
.grid-button{
    background-color: #B42126 !important;
    border-radius: 10px;
}

.mat-header-row{
    background: #000 !important;
}
.mat-header-cell{
    color: #fff !important;
}

table.full-width-table {
    width: 100% !important;
    border: 1px solid #E5E5E5;
}
.mat-tab-body-content{
  display: grid;
}



/* Styles for tab labels */
.mat-tab-label {
    /* min-width: 25px !important; */
    /* padding: 5px; */
    /* background-color: transparent; */
    color: #B42126;
    font-weight: 700;
}

/* Styles for the active tab label */
.mat-tab-label.mat-tab-label-active {
    /* min-width: 25px !important; */
    /* padding: 5px; */
    /* background-color: transparent; */
    color: #B42126;
    font-weight: 700;
}

mat-toolbar span h1{
    color: #B42126;
}


/* mat-toolbar, */
mat-tab-group,
mat-tab,
table,
mat-paginator,
mat-horizontal-stepper,
.devs-container > div,
.dec-container > div,
.dtc-container > div{
  background-color: #fff !important;
}

mat-toolbar:not(.header-toolbar)
{
    box-sizing: border-box;
    color: #B42126;
    border-bottom: 2.5px solid #B42126;
    background-color: #f4f4f4;
}

/* .mat-toolbar:not(.header-toolbar)  div */
/* , */
.devs-container,
.dec-container,
.dtc-container
{
    background-color: #fff !important;
    padding: 20px !important;
}




/* file dropdown + upload style */
.dropzone{
    width: 450px;
    height: 200px;
    padding: 2rem;
    text-align: center;
    border: dashed 1px #979797;
    position: relative;
    margin: 0 auto;
}

.dropzone input{
    opacity: 0;
    position: absolute;
    z-index: 2;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.dropzone label,
.uploadBtn{
    color: #fff;
    /* width: 183px;
    height: 44px; */
    border-radius: 5px;
    background-color: #B42126;
    padding: 8px 25px;
    margin: 5px 5px;
    /* margin-top: 15px; */
    cursor: pointer;
}

.dropzone h3{
    font-size: 25px;
    font-weight: 700;
    color: #DEDEDE;
}

.hiddenUpload{
  /* display: none !important; */
  visibility:hidden;
  max-width: 1px;
  max-height: 1px;
}

.files-list {
    margin-top: 1.5rem;
  }

  .files-list .single-file {
    display: flex;
    padding: 0.5rem;
    justify-content: space-between;
    align-items: center;
    border: dashed 1px #979797;
    margin-bottom: 1rem;

    display: flex;
    flex-grow: 1;
  }

  .files-list .single-file img.delete {
    margin-left: 0.5rem;
    cursor: pointer;
    align-self: flex-end;
  }



  .files-list .single-file .name {
    font-size: 14px;
    font-weight: 500;
    color: #353f4a;
    margin: 0;
  }

  .files-list .single-file .size {
    font-size: 12px;
    font-weight: 500;
    color: #a4a4a4;
    margin: 0;
    margin-bottom: 0.25rem;
  }

  .files-list .single-file .info {
    width: 100%
  }

  .uploadLabelContainer{
    min-height: 50px;
    text-align: center;
  }

  .uploadLabelContainer label{
    display: inline-block;
    margin-top: 15px;
  }


  .fileover {
    animation: shake 1s;
    animation-iteration-count: infinite;
  }


/* Shake animation */
@keyframes shake {
    0% {
      transform: translate(1px, 1px) rotate(0deg);
    }
  
    10% {
      transform: translate(-1px, -2px) rotate(-1deg);
    }
  
    20% {
      transform: translate(-3px, 0px) rotate(1deg);
    }
  
    30% {
      transform: translate(3px, 2px) rotate(0deg);
    }
  
    40% {
      transform: translate(1px, -1px) rotate(1deg);
    }
  
    50% {
      transform: translate(-1px, 2px) rotate(-1deg);
    }
  
    60% {
      transform: translate(-3px, 1px) rotate(0deg);
    }
  
    70% {
      transform: translate(3px, 1px) rotate(-1deg);
    }
  
    80% {
      transform: translate(-1px, -1px) rotate(1deg);
    }
  
    90% {
      transform: translate(1px, 2px) rotate(0deg);
    }
  
    100% {
      transform: translate(1px, -2px) rotate(-1deg);
    }
  }

/* end of file dropdown + upload style */

.mat-checkbox-checked.mat-accent .mat-checkbox-background {
  background-color: #B42126 !important;
}

.fa-eye{
  color: #1D85C0;
  cursor: pointer;
}
.fa-eye:hover{
  cursor: pointer;
}

.fa-ban{
  color: #B42126;
  cursor: pointer;
}
.fa-ban:hover{
  cursor: pointer;
}

.clickable{
  cursor: pointer !important;
}
.clickable:hover{
  cursor: pointer !important;
}


.mat-primary .mat-option.mat-selected:not(.mat-option-disabled) {
  color: #B42126 !important;
}
.mat-primary .mat-pseudo-checkbox-checked, .mat-primary .mat-pseudo-checkbox-indeterminate{
  background: #B42126 !important;
}


       /* for dialog pop-up */
       .btn-dialog-close{
        width: 45px;
        min-width: 0px !important;
        height: 40px;
        padding: 0px !important;
      }
    
       /* mat-confirm-dialog (customised dialog) */
       .confirm-dialog-container .mat-dialog-container {
        border-radius: .25em .25em .4em .4em;
        padding: 0px;
    }
    .confirm-dialog-container .content-container{
        margin: 5px 5px 15px 5px;
        color: #8f9cb5;
        display: flex;
    }
    .confirm-dialog-container #close-icon{
        margin-left: auto;
        order: 2;
        font-weight: bolder;
    }
    .confirm-dialog-container #close-icon:hover{
    cursor: pointer;
    }
    
    .confirm-dialog-container #no-button{
    height: 50px;
    width: 50%;
    background-color: #fc7169;
    color:white;
    border-radius: 0px;
    }
    
    .confirm-dialog-container #yes-button{
        height: 50px;
        width: 50%;
        background-color: #b6bece;
        color:white;
        border-radius: 0px;
    }
    
    .confirm-dialog-container span.content-span{
        padding:  35px 16px;
        text-align: center;
        font-size: 20px;
    }